Package Details: onivim2 0.5.4-1

Git Clone URL: https://aur.archlinux.org/onivim2.git (read-only, click to copy)
Package Base: onivim2
Description: Native, lightweight modal code editor
Upstream URL: https://github.com/onivim/oni2
Licenses: custom:OutrunLabsEULA
Submitter: freswa
Maintainer: None
Last Packager: freswa
Votes: 3
Popularity: 0.74
First Submitted: 2020-01-04 13:38
Last Updated: 2021-04-21 14:40

Latest Comments

AkechiShiro commented on 2021-04-30 02:18

Hi, again

I'm still hitting a build error, this time I believe the build is either broken upstream or the PKGBUILD needs changes.

info esy build 0.6.7 (using package.json)
   generator src/Core/BuildInfo.re (exit 2)
(cd /home/username/downloads/todelete/onivim2/src/oni2-0.5.4/_esy/default/store/b/oni2-61458027/default/src/Core && ../gen_buildinfo/generator.exe)
fatal: not a git repository (or any parent up to mount point /)
Stopping at filesystem boundary (GIT_DISCOVERY_ACROSS_FILESYSTEM not set).
Fatal error: exception End_of_file
    discover src/reason-oniguruma/c_flags.sexp,src/reason-oniguruma/cxx_flags.sexp,src/reason-oniguruma/flags.sexp
/home/username/downloads/todelete/onivim2/src/esy_cache/3_________________________________/i/esy_oniguruma-c0ee1673/include
/home/username/downloads/todelete/onivim2/src/esy_cache/3_________________________________/i/esy_oniguruma-c0ee1673/lib
    discover src/reason-libvim/c_flags.sexp,src/reason-libvim/cxx_flags.sexp,src/reason-libvim/flags.sexp
-L/home/username/downloads/todelete/onivim2/src/esy_cache/3_________________________________/i/libvim-8.10869.85-d288eee9/lib
    discover src/reason-tree-sitter/c_flags.sexp,src/reason-tree-sitter/cxx_flags.sexp,src/reason-tree-sitter/flags.sexp
/home/username/downloads/todelete/onivim2/src/esy_cache/3_________________________________/i/esy_tree_sitter-1.4.1-343c5c79/include
/home/username/downloads/todelete/onivim2/src/esy_cache/3_________________________________/i/esy_tree_sitter-1.4.1-343c5c79/lib
error: command failed: 'refmterr' 'dune' 'build' '-p' 'libvim,textmate,treesitter,Oni2' '-j4' (exited with 1)
esy-build-package: exiting with errors above...
error: build failed with exit code: 1

esy: exiting due to errors above
==> ERROR: A failure occurred in build().
    Aborting...

AkechiShiro commented on 2021-04-29 18:32

Hm I'm a bit puzzled I have 50GB of free space and I ran into this error during the build, I'm going to retry again and look at my free space during the build process.

    (cd _build/default/src/c/vendor/libuv && /usr/bin/bash -e -u -o pipefail -c '$([ '\''Unix'\'' = Unix ] && echo /usr/bin/make || echo make) V=0 -j 4 -o aclocal.m4 -o Makefile.in -o configure -o configure.status -o Makefile libuv.la' &> /dev/null
    Fatal error: exception Sys_error("No space left on device")
    Raised by primitive operation at file "stdlib.ml", line 385, characters 19-27
    Called from file "src/stdune/exn.ml", line 15, characters 4-13
    Called from file "list.ml", line 110, characters 12-15
    Called from file "stdlib.ml", line 553, characters 62-65
    Called from file "stdlib.ml" (inlined), line 556, characters 20-39
    Called from file "stdlib.ml", line 559, characters 2-15
    Called from file "bin/main.ml", line 265, characters 19-25
    error: command failed: 'dune' 'build' '-p' 'luv' '-j' '4' (exited with 2)
    esy-build-package: exiting with errors above...

  building @opam/luv@github:bryphe/luv:luv.opam#8e9f2b0
esy: exiting due to errors above
==> ERROR: A failure occurred in build().
    Aborting...
aura >>= There was a makepkg failure.

Edit: The problem comes from the fact that my /tmp partition has only 8GB of free space, going to download the PKGBUILD file and build it in my /home partition which has more free space...

gbaranski commented on 2021-04-17 12:56

Hello, please add unzip dev-dependency, it fails to build without it.

infabo commented on 2021-02-09 13:27

Despite having bought a license for onivim, I won't use this editor anymore until a binary package is available. I dislike to download an AppImage manually. The compilation process exceeds the 8GB /tmp folder I have configured on my Manjaro machine. This is ridiculous, that you need 22gb of free space to build "a super fast and minimal editor".

mage commented on 2020-11-21 05:50

On my machine this pkg takes approx 22G of free space to build

billkaguru commented on 2020-07-17 21:46

Installation fails for me:

error unable to fetch @esy-ocaml/libffi@github:onivim/libffi#590b041:

    source: github:onivim/libffi#590b041
    error: error: command failed: 'git' 'clone' 'https://github.com/onivim> /libffi.git' ...

Looks like the remote in question has been deleted or made private: https://github.com/onivim/libffi

felipeflores commented on 2020-06-09 19:54

gcc 10 causes issues on build. Newer commits on the upstream git fix this. I used 5019b2a24d6af5fa25cbedafab19b87702b61640 with no issues. Fantastic editor. Thank you for the PKGBUILD!

infabo commented on 2020-04-16 10:40

OMG, how much free space does this package need to build? I have 8gb free in /tmp before build and then the build fails cause of insufficient diskspace. /tmp 100% usage. I mean WTF - a fucking editor needs 8gb+ space for building. holy moly